INSTALL(1)

NAME
ginstall - copy files and set attributes

SYNOPSIS
install [OPTION]... SOURCE DEST (1st format)
install [OPTION]... SOURCE... DIRECTORY (2nd format)
install -d [OPTION]... DIRECTORY... (3rd format)

DESCRIPTION

In the first two formats, copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group. In the third format, create all components of the given DIRECTORY(ies).

Mandatory arguments to long options are mandatory for short options too.

--backup[=CONTROL] make a backup of each existing destination file

-b  like --backup but does not accept an argument

-c  (ignored)

-d, --directory
    treat all arguments as directory names; create all components of the specified directories

-D  create all leading components of DEST except the last, then copy SOURCE to DEST; useful in the 1st format

-g, --group=GROUP
    set group ownership, instead of process' current group

-m, --mode=MODE
    set permission mode (as in chmod), instead of rwxr-xr-x

-o, --owner=OWNER
    set ownership (super-user only)

-p, --preserve-timestamps
    apply access/modification times of SOURCE files to corresponding destination files

-s, --strip
    strip symbol tables, only for 1st and 2nd formats

-S, --suffix=SUFFIX override the usual backup suffix

-v, --verbose
    print the name of each directory as it is created

--help
    display this help and exit

--version
    output version information and exit

The backup suffix is `~', unless set with --suffix or SIMPLE_BACKUP_SUFFIX. The version control method may be selected via the --backup option or through the VERSION_CONTROL environment variable. Here are the values:

none, off
    never make backups (even if --backup is given)

numbered, t
    make numbered backups

existing, nil
    numbered if numbered backups exist, simple otherwise

simple, never
    always make simple backups

AUTHOR
Written by David MacKenzie.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for install is maintained as a Texinfo manual. If the info and install programs are properly installed at your site, the command

    info install

should give you access to the complete manual.